aboutsummaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
authorGravatar Kristina Chodorow <kchodorow@google.com>2016-05-17 21:51:49 +0000
committerGravatar Kristina Chodorow <kchodorow@google.com>2016-05-17 21:58:21 +0000
commitdae2f564ed98444768a57500887f7ed3f2dc1072 (patch)
tree872692c8cbbbadad4fc05a8bbb65f53be4b6bffc
parent2d2d123fa3bb75f91feb21331c367db92447222d (diff)
Add || true to increment so test doesn't exit early
The test is run with -e, so when ((wait_seconds++)) returns 1, it exits. This fixes #1271. -- MOS_MIGRATED_REVID=122567259
-rwxr-xr-xsrc/test/shell/bazel/remote_execution_test.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/src/test/shell/bazel/remote_execution_test.sh b/src/test/shell/bazel/remote_execution_test.sh
index 0083ba7357..7f7cd68ed2 100755
--- a/src/test/shell/bazel/remote_execution_test.sh
+++ b/src/test/shell/bazel/remote_execution_test.sh
@@ -44,7 +44,7 @@ EOF
local wait_seconds=0
until [ -s "${pid_file}" ] || [ $wait_seconds -eq 30 ]; do
sleep 1
- ((wait_seconds++))
+ ((wait_seconds++)) || true
done
if [ ! -s "${pid_file}" ]; then
fail "Timed out waiting for remote worker to start."